Subject: bug#29313: Replace gnus-yes-or-no-p with yes-or-no-p?

From: Noam Postavsky <[email-masked]>
Date: Wed, 15 Nov 2017 21:00:43 -0500

Eric Abrahamsen <[email-masked]> writes:

> Gnus has the following defined:
>
> (defun gnus-y-or-n-p (prompt)
>   (prog1
>       (y-or-n-p prompt)
>     (message "")))
>     
> (defun gnus-yes-or-no-p (prompt)
>   (prog1
>       (yes-or-no-p prompt)
>     (message "")))
>
> I wonder if I'm missing something here: for the life of me I can't see
> how the behavior is different from the built-ins. The built-ins don't
> put anything in the minibuffer, why would we'd have to blank it? Is this
> historical?

They put the prompt in the minibuffer, don't they?  (not sure why it's
important to blank that out though)